Modules | Alphabetical List | Class List | Directories | File List | File Members | GIL Home Page # position_iterator.hpp File Reference ## Detailed Description Locator for virtual image views. Author: Lubomir Bourdev and Hailin Jin Adobe Systems Incorporated Date: 2005-2007 Last updated on February 12, 2007 `#include <boost/iterator/iterator_facade.hpp>` `#include "locator.hpp"` Go to the source code of this file.
## Namespaces
namespace | boost
namespace | boost::gil
## Classes
struct | position_iterator
| An iterator that remembers its current X,Y position and invokes a function object with it upon dereferencing. Models PixelIteratorConcept. Used to create virtual image views. Models: StepIteratorConcept, PixelIteratorConcept, PixelBasedConcept, HasDynamicXStepTypeConcept. More...